package me.lensfrex.vegetables.utils;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

public class IOUtils {
    // copy 来自实例，偷懒了
    /**
     * 读取文件，返回list集合
     * @param path 文件的存储路径 D:\领航招新\培训计划\notes\vegetables.txt
     * @return List<String> 集合
     */
    public static List<String> getListFromFile(String path){
        List<String> list = new ArrayList<>();
        try{
            //读取文件内容
            //创建一个新的 FileReader ，给定要读取的文件的名称。
            //创建使用默认大小的输入缓冲区的缓冲字符输入流
            BufferedReader br = new BufferedReader(new FileReader(path));
            String data = "";
            while ( ( data = br.readLine() ) != null ) { // 一次读取一行
                list.add(data);
            }
            //关闭资源
            br.close();
        } catch(IOException e) {
            e.printStackTrace();
        }
        return list;
    }
}
